Skip to main content
PATCH
Update a prompt snippet

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string
required

The project key

snippetKey
string
required

The prompt snippet key

Body

application/json

Prompt snippet fields to update

name
string

A human-readable name for the prompt snippet

description
string

A description of the prompt snippet

text
string

The text content of the prompt snippet

maintainerId
string

The ID of the member who maintains this resource

Example:

"507f1f77bcf86cd799439011"

maintainerTeamKey
string

The key of the team that maintains this resource

Example:

"example-team-key"

tags
string[]

Tags for this resource

Response

Prompt snippet updated

key
string
required

The prompt snippet key

name
string
required

The prompt snippet name

text
string
required

The text content of the prompt snippet

tags
string[]
required

Tags for this resource

version
integer
required

The version number of this resource

createdAt
integer<int64>
required
_access
object
Example:

The location and content type of related resources

Example:
_site
object
Example:
_maintainer
object

The member or team that maintains this resource

Example:
description
string

A description of the prompt snippet